/*
 * Generated by Bluespec Compiler, version 2015.09.beta2 (build 34689, 2015-09-07)
 * 
 * On Tue Jul 19 13:21:16 IST 2016
 * 
 */
#include "bluesim_primitives.h"
#include "module_fn_comparator.h"


/* Constructor */
MOD_module_fn_comparator::MOD_module_fn_comparator(tSimStateHdl simHdl,
						   char const *name,
						   Module *parent)
  : Module(simHdl, name, parent)
{
  symbol_count = 0u;
  init_symbols_0();
}


/* Symbol init fns */

void MOD_module_fn_comparator::init_symbols_0()
{
}


/* Rule actions */


/* Methods */

tUInt8 MOD_module_fn_comparator::METH_fn_comparator(tUInt64 ARG_fn_comparator__op1,
						    tUInt64 ARG_fn_comparator__op2)
{
  tUInt8 PORT_fn_comparator;
  PORT_fn_comparator = ARG_fn_comparator__op1 < ARG_fn_comparator__op2;
  return PORT_fn_comparator;
}

tUInt8 MOD_module_fn_comparator::METH_RDY_fn_comparator()
{
  tUInt8 PORT_RDY_fn_comparator;
  tUInt8 DEF_CAN_FIRE_fn_comparator;
  DEF_CAN_FIRE_fn_comparator = (tUInt8)1u;
  PORT_RDY_fn_comparator = DEF_CAN_FIRE_fn_comparator;
  return PORT_RDY_fn_comparator;
}


/* Reset routines */


/* Static handles to reset routines */


/* Functions for the parent module to register its reset fns */


/* Functions to set the elaborated clock id */


/* State dumping routine */
void MOD_module_fn_comparator::dump_state(unsigned int indent)
{
}


/* VCD dumping routines */

unsigned int MOD_module_fn_comparator::dump_VCD_defs(unsigned int levels)
{
  vcd_write_scope_start(sim_hdl, inst_name);
  vcd_num = vcd_reserve_ids(sim_hdl, 0u);
  unsigned int num = vcd_num;
  for (unsigned int clk = 0u; clk < bk_num_clocks(sim_hdl); ++clk)
    vcd_add_clock_def(sim_hdl, this, bk_clock_name(sim_hdl, clk), bk_clock_vcd_num(sim_hdl, clk));
  vcd_write_scope_end(sim_hdl);
  return num;
}

void MOD_module_fn_comparator::dump_VCD(tVCDDumpType dt,
					unsigned int levels,
					MOD_module_fn_comparator &backing)
{
}
